sc::PBEXFunctional(3)

NAME
sc::PBEXFunctional - Implements the Perdew-Burke-Ernzerhof (PBE) exchange functional.

SYNOPSIS

#include <functional.h>

Inherits sc::DenFunctional.

  Public Member Functions
PBEXFunctional (const Ref< KeyVal > &)
PBEXFunctional (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
int need_density_gradient ()
void point (const PointInputData &, PointOutputData &)

  Protected Member Functions
void spin_contrib (const PointInputData::SpinData &, double &mpw, double &dmpw_dr, double &dmpw_dg)
void init_constants ()

  Protected Attributes
double mu
double kappa

Detailed Description

Implements the Perdew-Burke-Ernzerhof (PBE) exchange functional. John P. Perdew, Kieron Burke, and Yue Wang, Phys. Rev. B, 54(23), pp. 16533-16539, 1996.

John P. Perdew, Kieron Burke, and Matthias Ernzerhof, Phys. Rev. Lett., 77(18), pp. 3865-3868 1996.

See also the comment and reply discussing the revPBE modification which adjusts the value of kappa:

Yingkai Zhang and Weitao Yang, Phys. Rev. Lett., 80(4), pp. 890, 1998.

John P. Perdew, Kieron Burke, and Matthias Ernzerhof, Phys. Rev. Lett., 80(4), pp. 891, 1998.

Member Function Documentation

  void sc::PBEXFunctional::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::DenFunctional.

Author

Generated automatically by Doxygen for MPQC from the source code.